package com.sifang.modules.sunshine.fittingManager.entity;

import org.hibernate.annotations.GenericGenerator;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

@Entity
@Table(name = "crm_platform_fitting_apply")
public class CrmPlantformFittingApply {

	//申请状态：1.待审核 2.待出库 3.待收件 4.已完成 5.申请已取消 6.申请已删除
	public static final String APPLY_STATUS_UNDELIVERY = "1";
	public static final String APPLY_STATUS_DELIVERYED = "2";
	public static final String APPLY_STATUS_FINISHED = "3";
	public static final String APPLY_STATUS_CANCEL = "4";
	public static final String APPLY_STATUS_DEL = "5";

	//旧件返还标记：0无需返还 1需要返还，默认0
	public static final String OLDFITTINGFLAG_NO = "0";
	public static final String OLDFITTINGFLAG_YES = "1";

	private String id;
	private String number;
	private String siteId;
	private String siteName;
	private String fittingId;
	private String applicantId;
	private String applicantName;
	private String applicantType;
	private String applyMarks;
	private String factoryMarks;
	private String outFittingMarks;
	private String confirmor;
	private String confirmorId;
	private String oldFittingFlag;
	private String status;
	private String fittingCode;
	private String fittingVersion;
	private String fittingName;
	private String fittingImg;
	private BigDecimal applyNum;
	private BigDecimal fittingAuditNum;
	private Date createTime;
	private Date confirmTime;
	private Date outFittingTime;
	private Date sendTime;
	private String confirmStorageId;
	private String confirmStorage;
	private String logisticsNames;
	private String logisticsNumber;
	private Date endTime;
	private String creator;
	private Date updateTime;
	private String updateName;
	private String deliveryName;
	private String deliveryMobile;
	private String deliveryAddress;
	private String refuseReason;
	private String auditor;
	private String auditorId;
	private String suitPrinter;
	private BigDecimal sitePrice;
	private BigDecimal customerPrice;


	public BigDecimal getCustomerPrice() {
		return customerPrice;
	}

	public void setCustomerPrice(BigDecimal customerPrice) {
		this.customerPrice = customerPrice;
	}

	public String getAuditor() {
		return auditor;
	}

	public void setAuditor(String auditor) {
		this.auditor = auditor;
	}

	public String getAuditorId() {
		return auditorId;
	}

	public void setAuditorId(String auditorId) {
		this.auditorId = auditorId;
	}

	public String getRefuseReason() {
		return refuseReason;
	}

	public void setRefuseReason(String refuseReason) {
		this.refuseReason = refuseReason;
	}

	public CrmPlantformFittingApply() {
		super();
		this.status=APPLY_STATUS_UNDELIVERY;
		this.oldFittingFlag=OLDFITTINGFLAG_NO;
		this.customerPrice = new BigDecimal("0.00");
	}

	public String getOutFittingMarks() {
		return outFittingMarks;
	}

	public void setOutFittingMarks(String outFittingMarks) {
		this.outFittingMarks = outFittingMarks;
	}

	public Date getOutFittingTime() {
		return outFittingTime;
	}

	public void setOutFittingTime(Date outFittingTime) {
		this.outFittingTime = outFittingTime;
	}

	public String getConfirmStorageId() {
		return confirmStorageId;
	}

	public void setConfirmStorageId(String confirmStorageId) {
		this.confirmStorageId = confirmStorageId;
	}

	public String getConfirmStorage() {
		return confirmStorage;
	}

	public void setConfirmStorage(String confirmStorage) {
		this.confirmStorage = confirmStorage;
	}

	public BigDecimal getFittingAuditNum() {
		return fittingAuditNum;
	}

	public void setFittingAuditNum(BigDecimal fittingAuditNum) {
		this.fittingAuditNum = fittingAuditNum;
	}

	@Id
	@GeneratedValue(generator = "idGenerator")
	@GenericGenerator(name = "idGenerator", strategy = "uuid")
	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getNumber() {
		return number;
	}

	public void setNumber(String number) {
		this.number = number;
	}

	public String getSiteId() {
		return siteId;
	}

	public void setSiteId(String siteId) {
		this.siteId = siteId;
	}

	public String getFittingId() {
		return fittingId;
	}

	public void setFittingId(String fittingId) {
		this.fittingId = fittingId;
	}

	public String getSiteName() {
		return siteName;
	}

	public void setSiteName(String siteName) {
		this.siteName = siteName;
	}

	public String getApplyMarks() {
		return applyMarks;
	}

	public void setApplyMarks(String applyMarks) {
		this.applyMarks = applyMarks;
	}

	public String getFactoryMarks() {
		return factoryMarks;
	}

	public void setFactoryMarks(String factoryMarks) {
		this.factoryMarks = factoryMarks;
	}

	public String getConfirmor() {
		return confirmor;
	}

	public void setConfirmor(String confirmor) {
		this.confirmor = confirmor;
	}

	public String getConfirmorId() {
		return confirmorId;
	}

	public void setConfirmorId(String confirmorId) {
		this.confirmorId = confirmorId;
	}


	public String getOldFittingFlag() {
		return oldFittingFlag;
	}

	public void setOldFittingFlag(String oldFittingFlag) {
		this.oldFittingFlag = oldFittingFlag;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getFittingCode() {
		return fittingCode;
	}

	public void setFittingCode(String fittingCode) {
		this.fittingCode = fittingCode;
	}

	public String getFittingVersion() {
		return fittingVersion;
	}

	public void setFittingVersion(String fittingVersion) {
		this.fittingVersion = fittingVersion;
	}

	public String getFittingName() {
		return fittingName;
	}

	public void setFittingName(String fittingName) {
		this.fittingName = fittingName;
	}

	public String getFittingImg() {
		return fittingImg;
	}

	public void setFittingImg(String fittingImg) {
		this.fittingImg = fittingImg;
	}

	public BigDecimal getApplyNum() {
		return applyNum;
	}

	public void setApplyNum(BigDecimal applyNum) {
		this.applyNum = applyNum;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getConfirmTime() {
		return confirmTime;
	}

	public void setConfirmTime(Date confirmTime) {
		this.confirmTime = confirmTime;
	}

	public Date getSendTime() {
		return sendTime;
	}

	public void setSendTime(Date sendTime) {
		this.sendTime = sendTime;
	}

	public String getLogisticsNames() {
		return logisticsNames;
	}

	public void setLogisticsNames(String logisticsNames) {
		this.logisticsNames = logisticsNames;
	}

	public String getLogisticsNumber() {
		return logisticsNumber;
	}

	public void setLogisticsNumber(String logisticsNumber) {
		this.logisticsNumber = logisticsNumber;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

	public String getCreator() {
		return creator;
	}

	public void setCreator(String creator) {
		this.creator = creator;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public String getUpdateName() {
		return updateName;
	}

	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	public String getDeliveryName() {
		return deliveryName;
	}

	public void setDeliveryName(String deliveryName) {
		this.deliveryName = deliveryName;
	}

	public String getDeliveryMobile() {
		return deliveryMobile;
	}

	public void setDeliveryMobile(String deliveryMobile) {
		this.deliveryMobile = deliveryMobile;
	}

	public String getDeliveryAddress() {
		return deliveryAddress;
	}

	public void setDeliveryAddress(String deliveryAddress) {
		this.deliveryAddress = deliveryAddress;
	}


	public String getApplicantId() {
		return applicantId;
	}

	public void setApplicantId(String applicantId) {
		this.applicantId = applicantId;
	}

	public String getApplicantName() {
		return applicantName;
	}

	public void setApplicantName(String applicantName) {
		this.applicantName = applicantName;
	}

	public String getApplicantType() {
		return applicantType;
	}

	public void setApplicantType(String applicantType) {
		this.applicantType = applicantType;
	}

	public String getSuitPrinter() {
		return suitPrinter;
	}

	public void setSuitPrinter(String suitPrinter) {
		this.suitPrinter = suitPrinter;
	}

	public BigDecimal getSitePrice() {
		return sitePrice;
	}

	public void setSitePrice(BigDecimal sitePrice) {
		this.sitePrice = sitePrice;
	}
}
